<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Data Visualization</title>
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
    <style>
        #data-list {
            width: 200px;
            float: left;
        }
        #chart {
            margin-left: 220px;
        }
    </style>
</head>
<body>
<div id="data-list">
    <select id="dataset-select" onchange="drawChart()">
        <option value="0">test</option>
        <option value="1">test1</option>
        <option value="2">test2</option>
    </select>
</div>
<div id="chart"></div>

<script>
    // Sample data
    //var datasets = [
    //    {
    //        "name": "test",
    //        "data": [
    //            {"date": "1.01.2023", "value": "123"},
    //            {"date": "2.01.2023", "value": "123"},
    //            {"date": "3.01.2023", "value": "123"}
    //        ]
    //    },
    //];
    fetch('/data/1000484950')
        .then(response => response.json())
        .then(data => {
            var merchantDropdown = document.getElementById('merchantDropdown');

            // Добавление опций списка из JSON данных
            data.forEach(merchant => {
                const option = document.createElement('option');
                option.text = merchant.merchantid;
                merchantDropdown.add(option);
            });
            // Инициализация графика
            datasets = data
        })
        .catch(error => {
            // Обработка ошибок
            console.error('Ошибка:', error);
        });

    // Function to draw the chart
    function drawChart() {
        var dataset = datasets[0];

        var dates = dataset.data.map(function(item) {
            return item.date;
        });

        var values = dataset.data.map(function(item) {
            return parseInt(item.value);
        });

        var trace = {
            x: dates,
            y: values,
            type: 'scatter',
            mode: 'lines+markers'
        };

        var layout = {
            title: dataset.name
        };

        Plotly.newPlot('chart', [trace], layout);
    }

    // Initial chart draw
    drawChart();
</script>
</body>
</html>